aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucketLocation

# Documentation

data GetBucketLocation #

Constructors

GetBucketLocation |

Fields

- gblBucket :: Bucket

#### Instances

Instances details

SignQuery GetBucketLocation # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type ServiceConfiguration GetBucketLocation |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ServiceConfiguration GetBucketLocation = S3Configuration

Methods

signQuery :: GetBucketLocation -> ServiceConfiguration GetBucketLocation queryType -> SignatureData -> SignedQuery #

Show GetBucketLocation # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation Methods showsPrec :: Int -> GetBucketLocation -> ShowS # show :: GetBucketLocation -> String # showList :: [GetBucketLocation] -> ShowS #
Transaction GetBucketLocation GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation
type ServiceConfiguration GetBucketLocation # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ServiceConfiguration GetBucketLocation = S3Configuration

getBucketLocation :: Bucket -> GetBucketLocation #

data GetBucketLocationResponse #

Constructors

GetBucketLocationResponse |

Fields

- gblrLocationConstraint :: LocationConstraint

#### Instances

Instances details

AsMemoryResponse GetBucketLocationResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type MemoryResponse GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse

Methods

loadToMemory :: GetBucketLocationResponse -> ResourceT IO (MemoryResponse GetBucketLocationResponse) #

Show GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation Methods showsPrec :: Int -> GetBucketLocationResponse -> ShowS # show :: GetBucketLocationResponse -> String # showList :: [GetBucketLocationResponse] -> ShowS #
ResponseConsumer r GetBucketLocationResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type ResponseMetadata GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ResponseMetadata GetBucketLocationResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketLocationResponse) -> HTTPResponseConsumer GetBucketLocationResponse #

Transaction GetBucketLocation GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation
type MemoryResponse GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse
type ResponseMetadata GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ResponseMetadata GetBucketLocationResponse = S3Metadata